<div id="products" class="page-layout carded fullwidth inner-scroll">
    <!-- TOP BACKGROUND -->
    <div class="top-bg accent"></div>
    <!-- / TOP BACKGROUND -->
    <!-- CENTER -->
    <div class="center">
        <!-- HEADER -->
        <div class="header accent small" fxLayout="column" fxLayoutAlign="center center" fxLayout.gt-sm="row"
            fxLayoutAlign.gt-sm="space-between center">
            <!-- APP TITLE -->

            <div *ngIf="isDZCmapped" class="logo mb-24 mb-md-0" fxLayout="row" fxLayoutAlign="start center"
                style="max-height: 90px !important; min-height: 90px !important; margin-top: -20px;">
                Upload CSV File
                <div class="search-wrapper mx-32 mx-md-0">
                    <div class="search" fxFlex fxLayout="row" fxLayoutAlign="start center">
                        <input type="file" id="fileUpload" name="file" (change)="fileChanged($event)">
                    </div>
                </div>
                <!-- <div fxLayoutAlign="end">
                    <button mat-raised-button (click)="downloadSample()">Download Sample</button>
                </div> -->
                <div fxLayoutAlign="end">
                    <button mat-raised-button (click)="upload()">Upload Workers</button>
                </div>

            </div>


            <!-- ADD BUTTON -->



        </div>
        <!-- / HEADER -->



        <!-- CONTENT CARD -->

        <div class="content-card" style="overflow: auto;
        max-height: 608px;
        margin-left: 20px; margin-right: 20px;
        margin-top: -60px;">

            <!-- <form action="" [formGroup]="workerForm"> -->
            <div fxLayout="row">
                <div fxFlex="35" *ngIf="role=='super_admin'">
                    <mat-form-field style="width: 100%;padding: 5%;" appearance="outline">
                        <mat-label for="business">Select Organization</mat-label>
                        <mat-select [(ngModel)]="org_id" (selectionChange)="onOrganizationChange($event)">
                            <mat-option id="role" *ngFor="let r of allOrganizations" [value]="r.id">
                                {{r.name}}
                            </mat-option>
                        </mat-select>
                        <!-- <mat-icon matSuffix class="secondary-text">person</mat-icon> -->
                    </mat-form-field>
                </div>
                <div fxFlex="35">
                    <mat-form-field style="width: 100%;padding: 5%;" appearance="outline">
                        <mat-label for="business">Select Department</mat-label>
                        <mat-select [(ngModel)]="department_id" (selectionChange)="onDepChange($event)">
                            <mat-option id="role" *ngFor="let r of allDepartments" [value]="r.id">
                                {{r.name}}
                            </mat-option>
                        </mat-select>
                        <mat-icon matSuffix class="secondary-text">person</mat-icon>
                        <mat-error>
                            Role is required
                        </mat-error>
                    </mat-form-field>
                </div>
                <div fxFlex="35">
                    <mat-form-field style="width: 100%;padding: 5%;" appearance="outline">
                        <mat-label for="business">Select Zone</mat-label>
                        <mat-select [(ngModel)]="zone_id" (selectionChange)="onZoneChange($event)">
                            <mat-option id="role" *ngFor="let r of filteredZones" [value]="r.id">
                                {{r.name}}
                            </mat-option>
                        </mat-select>
                        <mat-icon matSuffix class="secondary-text">person</mat-icon>
                        <mat-error>
                            Role is required
                        </mat-error>
                    </mat-form-field>
                </div>
                <div fxFlex="30">
                    <mat-form-field style="width: 100%;padding: 5%;" appearance="outline">
                        <mat-label for="business">Select Circle</mat-label>
                        <mat-select [(ngModel)]="circle_id" (selectionChange)="onCircleChange($event)">
                            <mat-option id="role" *ngFor="let r of filteredCircles" [value]="r.id">
                                {{r.description}}
                            </mat-option>
                        </mat-select>
                        <mat-icon matSuffix class="secondary-text">person</mat-icon>
                        <mat-error>
                            Role is required
                        </mat-error>
                    </mat-form-field>
                </div>
                <!-- <div fxFlex="30">
                        <mat-form-field style="width: 100%;padding: 5%;" appearance="outline">
                            <mat-label for="business">Select Designation</mat-label>
                            <mat-select [(ngModel)]="designation_id" (selectionChange)="onDesinationChange($event)">
                                <mat-option id="role" *ngFor="let r of allDesignations" [value]="r.id">
                                    {{r.name}}
                                </mat-option>
                            </mat-select>
                            <mat-icon matSuffix class="secondary-text">person</mat-icon>
                            <mat-error>
                                Role is required
                            </mat-error>
                        </mat-form-field>
                    </div> -->

            </div>
            <!-- </form> -->
            <div align="center">
                <button mat-raised-button (click)="processChoices()">Submit</button>
            </div>
            <br>
            <br>
            <div align="center" *ngIf="!isDZCmapped && isDZCnotMapped">
                <p>Department, Zone, Circle are not mapped.</p>
                <button mat-raised-button (click)="clickToMap()">Click here to map</button>
            </div>
            <br>
            <br>
            <div *ngIf="processStarted" style="margin-left: 20px; margin-right: 20px; margin-top: 20px;">
                <div fxLayout="row">
                    <div *ngIf="insertedRecords.length>0">
                        <button mat-raised-button (click)="downloadRecords(insertedRecords,'Inserted_data')">Get
                            Inserted
                            Records</button>
                    </div>
                    <div *ngIf="updatedRecords.length>0">
                        <button mat-raised-button (click)="downloadRecords(updatedRecords,'Updated_data')">Get Updated
                            Records</button>
                    </div>
                    <div *ngIf="rejectedRecords.length>0">
                        <button mat-raised-button (click)="downloadRecords(rejectedRecords,'Rejected_data')">Get
                            Rejected
                            Records</button>
                    </div>
                </div>
                <div>
                    {{currentProcessing}}
                </div>
                <div style="margin: 20px">
                    <mat-progress-bar mode="determinate" value="{{progress}}"></mat-progress-bar>
                </div>
                <div>
                    Error Count: <span style="color:red">{{logs.length}}</span>
                </div>
                <div>
                    <p *ngFor="let log of logs">
                        Error: row id {{log.processedCount}}: <span style="color:red">{{log.message}}</span> - name:
                        {{log.data.name}}
                    </p>
                </div>
            </div>

        </div>
        <!-- / CONTENT CARD -->
    </div>
    <!-- / CENTER -->

</div>